#include <stdio.h>
#include <math.h>

const long MAX_EXPONENT = 10000000;

int main(void)
{
#ifndef ONLINE_JUDGE
	freopen("701.in", "r", stdin);
	freopen("701.out", "w", stdout);
#endif

	long number, exponent;
	double	logN, floorLogN, leftNormalizedLogN,
			rightNormalizedLogN, ExpLog2, floorExpLog2,
			normalizedExpLog2, log2 = log10(2);
	while(scanf("%ld", &number) == 1)
	{
		
		logN = log10(number);
		floorLogN = floor(logN);
		leftNormalizedLogN = logN - floorLogN;
		rightNormalizedLogN = log10(number + 1) - floorLogN;
		for(exponent = 1; exponent < MAX_EXPONENT; ++exponent)
		{
			ExpLog2 = exponent * log2;
			floorExpLog2 = floor(ExpLog2);
			if(2 * floorLogN + 1 >= floorExpLog2)continue;

			normalizedExpLog2 = ExpLog2 - floorExpLog2;
			if(normalizedExpLog2 < leftNormalizedLogN)continue;
			if(normalizedExpLog2 >= rightNormalizedLogN)continue;

			printf("%ld\n", exponent);
			break;
		}
		if(exponent == MAX_EXPONENT)puts("no power of 2");
	}

#ifndef ONLINE_JUDGE
	fclose(stdout);
	fclose(stdin);
#endif

	return 0;
}